# Querying VPC Tags

#### Function

This API is used to query tags of a specified VPC.

#### URI

GET /v2.0/{project_id}/vpcs/{vpc_id}/tags

Table 1 describes the parameters.

Table 1 Parameter description
Name | Mandatory | Description
--- | --- | ---
project_id | Yes | Specifies the project ID.
vpc_id | Yes | Specifies the VPC ID, which uniquely identifies the VPC.

#### Request Message

- Request parameter

  None

- Example request

      GET https://{Endpoint}/v2.0/{project_id}/vpcs/{vpc_id}/tags

#### Response Message

- Response parameter

  Table 2 Response parameter
  Parameter | Type | Description
  --- | --- | ---
  tags | Array of tag objects | Specifies the tag object list. For details, see Table 3.

  Table 3 tag objects
  Attribute | Type | Description
  --- | --- | ---

  key

  String

  - Specifies the tag key.
  - Cannot be left blank.
  - Can contain a maximum of 36 characters.
  - Can contain only the following character types:
    - Uppercase letters
    - Lowercase letters
    - Digits
    - Special characters, including hyphens (-) and underscores (_)
  - The tag key of a VPC must be unique.

  value

  String

  - Specifies the tag value.
  - Can contain a maximum of 43 characters.
  - Can contain only the following character types:
    - Uppercase letters
    - Lowercase letters
    - Digits
    - Special characters, including hyphens (-) and underscores (_)

- Example response

      {
          "tags": [
              {
                  "key": "key1",
                  "value": "value1"
              },
              {
                  "key": "key2",
                  "value": "value3"
              }
          ]
      }

#### Status Code

See Status Codes.

#### Error Code

See Error Codes.

Parent topic: VPC Tag Management